com.gisgraphy.domain.valueobject

## Class Constants

- java.lang.Object
- - com.gisgraphy.domain.valueobject.Constants

-     public class Constants
      extends Object

  Author:
    David Masclet Some Constants

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Constants.SolrQueryType` All the Query type in the Gisgraphy solr config file

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `APPLICATION_CONTEXT_NAMES` An Array of the applicationContext names
    `static String[]` | `APPLICATION_CONTEXT_NAMES_FOR_TEST` An Array of the ApplicationContext names for tests
    `static String[]` | `APPLICATION_CONTEXT_NAMES_NON_WEB` application context files to start classpath in a non web context, (note that : javax.servlet should be added in the classpath) then you can start new ClassPathXmlApplicationContext(Constants.APPLICATION_CONTEXT_NAMES_NON_WEB);
    `static String` | `ATOM_STYLESHEET` The name of the XSL to apply to output ATOM format
    `static String` | `BF_PARAMETER` The boost field type parameter
    `static String` | `BQ_PARAMETER` The boost query type parameter
    `static String` | `BUNDLE_ERROR_KEY` The name of the ResourceBundle used in this application for errors
    `static String` | `BUNDLE_KEY` The name of the ResourceBundle used in this application
    `static String` | `CHARSET` Default charset
    `static String` | `DISTANCE_PARAMETER` The parameter name to define the distance to search around (Solr parameter name)
    `static String` | `ECHOPARAMS_PARAMETER` The echoparam parameter (if the query parameters should be print in the response, Solr parameter name)
    `static String` | `ENTITY_PACKAGE` A string that is used to load a class from a string with class.forName()
    `static String` | `ENVIRONEMENT_BUNDLE_KEY` The name of the ResourceBundle for environement properties that hold gisgraphy configuration
    `static String` | `FEATURECODE_BUNDLE_KEY` The name of the ResourceBundle for Feature class / code used in this application
    `static String` | `FEED_DESCRIPTION` The default Description for the RSS/ATOM
    `static String` | `FEED_LINK` The default Link for the RSS/ATOM
    `static String` | `FEED_TITLE` The default title for the RSS/ATOM
    `static String` | `FILTER_QUERY_PARAMETER` The parameter name to define the filter query to use (Solr parameter name)
    `static String` | `FL_PARAMETER` The field list to return (Solr parameter name)
    `static String` | `FQ_PARAMETER` The field list to return (Solr parameter name)
    `static String` | `GEORSS_STYLESHEET` The name of the XSL to apply to output Geo RSS format
    `static String` | `GIS_DATE_PATTERN` Default Date pattern
    `static String` | `GISFEATURE_BASE_URL` The Base URL for building GISFeature URL
    `static String` | `INDENT_PARAMETER` The indent parameter (Solr parameter name)
    `static String` | `OUTPUT_FORMAT_PARAMETER` The output format (XML, json,...) parameter name
    `static String` | `POINT_PARAMETER` The parameter name to define the point to search around (Solr parameter name)
    `static String` | `QF_PARAMETER` The field on which we want to search
    `static String` | `QT_PARAMETER` The query type parameter (dismax, standard, ...)
    `static String` | `QUERY_PARAMETER` The parameter to specifie the text to search (Solr parameter name)
    `static double` | `RADIUS_OF_EARTH_IN_METERS` The radius of the earth
    `static String` | `ROWS_PARAMETER` The rows parameter (useful for paginate, Solr parameter name)
    `static String` | `SPATIAL_FIELD_PARAMETER` The parameter name to define the spatial fields (Solr parameter name)
    `static String` | `SPELLCHECKER_BUILD_PARAMETER` The parameter name to Rebuild the spellchecker (Solr parameter name)
    `static String` | `SPELLCHECKER_COLLATE_RESULTS_PARAMETER` The parameter name to define the number of suggestion for the spellchecker (Solr parameter name)
    `static String` | `SPELLCHECKER_DICTIONARY_NAME_PARAMETER` The parameter name to define the name of the dictionary to use for the spellchecker (Solr parameter name)
    `static String` | `SPELLCHECKER_ENABLED_PARAMETER` The parameter name to active the spellchecker (Solr parameter name)
    `static String` | `SPELLCHECKER_NUMBER_OF_SUGGESTION_PARAMETER` The parameter name to define the number of suggestion for the spellchecker (Solr parameter name)
    `static String` | `SPELLCHECKER_QUERY_PARAMETER` The parameter name to define the query to use for the spellchecker (Solr parameter name)
    `static String` | `SPELLCHECKER_RELOAD_PARAMETER` The parameter name to Rebuild the spellchecker (Solr parameter name)
    `static String` | `START_PARAMETER` The start rows parameter (useful for paginate, Solr parameter name)
    `static String` | `STREET_BASE_URL`
    `static String` | `STREETDISTANCE_JAXB_NAME` The node name for `StreetDistance` node in JAXB
    `static String` | `STREETSEARCHRESULTSDTO_JAXB_NAME` The node name for `StreetSearchResultsDto` node in JAXB
    `static String` | `STYLESHEET_PARAMETER` The XSLT stylesheet parameter name

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHARSET

          public static final String CHARSET

      Default charset
      See Also:
        Constant Field Values

    - #### GIS_DATE_PATTERN

          public static final String GIS_DATE_PATTERN

      Default Date pattern
      See Also:
        Constant Field Values

    - #### QF_PARAMETER

          public static final String QF_PARAMETER

      The field on which we want to search
      See Also:
        Constant Field Values

    - #### OUTPUT_FORMAT_PARAMETER

          public static final String OUTPUT_FORMAT_PARAMETER

      The output format (XML, json,...) parameter name
      See Also:
        `OutputFormat`, Constant Field Values

    - #### STYLESHEET_PARAMETER

          public static final String STYLESHEET_PARAMETER

      The XSLT stylesheet parameter name
      See Also:
        `OutputFormat`, Constant Field Values

    - #### ATOM_STYLESHEET

          public static final String ATOM_STYLESHEET

      The name of the XSL to apply to output ATOM format
      See Also:
        `OutputFormat`, Constant Field Values

    - #### GEORSS_STYLESHEET

          public static final String GEORSS_STYLESHEET

      The name of the XSL to apply to output Geo RSS format
      See Also:
        `OutputFormat`, Constant Field Values

    - #### FL_PARAMETER

          public static final String FL_PARAMETER

      The field list to return (Solr parameter name)
      See Also:
        Constant Field Values

    - #### FQ_PARAMETER

          public static final String FQ_PARAMETER

      The field list to return (Solr parameter name)
      See Also:
        Constant Field Values

    - #### QUERY_PARAMETER

          public static final String QUERY_PARAMETER

      The parameter to specifie the text to search (Solr parameter name)
      See Also:
        Constant Field Values

    - #### QT_PARAMETER

          public static final String QT_PARAMETER

      The query type parameter (dismax, standard, ...) (Solr parameter name)
      See Also:
        Constant Field Values

    - #### BQ_PARAMETER

          public static final String BQ_PARAMETER

      The boost query type parameter
      See Also:
        Constant Field Values

    - #### BF_PARAMETER

          public static final String BF_PARAMETER

      The boost field type parameter
      See Also:
        Constant Field Values

    - #### ROWS_PARAMETER

          public static final String ROWS_PARAMETER

      The rows parameter (useful for paginate, Solr parameter name)
      See Also:
        Constant Field Values

    - #### INDENT_PARAMETER

          public static final String INDENT_PARAMETER

      The indent parameter (Solr parameter name)
      See Also:
        Constant Field Values

    - #### ECHOPARAMS_PARAMETER

          public static final String ECHOPARAMS_PARAMETER

      The echoparam parameter (if the query parameters should be print in the response, Solr parameter name)
      See Also:
        Constant Field Values

    - #### START_PARAMETER

          public static final String START_PARAMETER

      The start rows parameter (useful for paginate, Solr parameter name)
      See Also:
        Constant Field Values

    - #### SPELLCHECKER_ENABLED_PARAMETER

          public static final String SPELLCHECKER_ENABLED_PARAMETER

      The parameter name to active the spellchecker (Solr parameter name)
      See Also:
        Constant Field Values

    - #### SPELLCHECKER_BUILD_PARAMETER

          public static final String SPELLCHECKER_BUILD_PARAMETER

      The parameter name to Rebuild the spellchecker (Solr parameter name)
      See Also:
        Constant Field Values

    - #### SPELLCHECKER_RELOAD_PARAMETER

          public static final String SPELLCHECKER_RELOAD_PARAMETER

      The parameter name to Rebuild the spellchecker (Solr parameter name)
      See Also:
        Constant Field Values

    - #### SPELLCHECKER_NUMBER_OF_SUGGESTION_PARAMETER

          public static final String SPELLCHECKER_NUMBER_OF_SUGGESTION_PARAMETER

      The parameter name to define the number of suggestion for the spellchecker (Solr parameter name)
      See Also:
        Constant Field Values

    - #### SPELLCHECKER_COLLATE_RESULTS_PARAMETER

          public static final String SPELLCHECKER_COLLATE_RESULTS_PARAMETER

      The parameter name to define the number of suggestion for the spellchecker (Solr parameter name)
      See Also:
        Constant Field Values

    - #### SPELLCHECKER_DICTIONARY_NAME_PARAMETER

          public static final String SPELLCHECKER_DICTIONARY_NAME_PARAMETER

      The parameter name to define the name of the dictionary to use for the spellchecker (Solr parameter name)
      See Also:
        Constant Field Values

    - #### SPELLCHECKER_QUERY_PARAMETER

          public static final String SPELLCHECKER_QUERY_PARAMETER

      The parameter name to define the query to use for the spellchecker (Solr parameter name)
      See Also:
        Constant Field Values

    - #### FILTER_QUERY_PARAMETER

          public static final String FILTER_QUERY_PARAMETER

      The parameter name to define the filter query to use (Solr parameter name)
      See Also:
        Constant Field Values

    - #### SPATIAL_FIELD_PARAMETER

          public static final String SPATIAL_FIELD_PARAMETER

      The parameter name to define the spatial fields (Solr parameter name)
      See Also:
        Constant Field Values

    - #### POINT_PARAMETER

          public static final String POINT_PARAMETER

      The parameter name to define the point to search around (Solr parameter name)
      See Also:
        Constant Field Values

    - #### DISTANCE_PARAMETER

          public static final String DISTANCE_PARAMETER

      The parameter name to define the distance to search around (Solr parameter name)
      See Also:
        Constant Field Values

    - #### ENTITY_PACKAGE

          public static final String ENTITY_PACKAGE

      A string that is used to load a class from a string with class.forName()
      See Also:
        Constant Field Values

    - #### RADIUS_OF_EARTH_IN_METERS

          public static final double RADIUS_OF_EARTH_IN_METERS

      The radius of the earth
      See Also:
        Constant Field Values

    - #### APPLICATION_CONTEXT_NAMES

          public static final String[] APPLICATION_CONTEXT_NAMES

      An Array of the applicationContext names

    - #### APPLICATION_CONTEXT_NAMES_NON_WEB

          public static final String[] APPLICATION_CONTEXT_NAMES_NON_WEB

      application context files to start classpath in a non web context, (note that : javax.servlet should be added in the classpath) then you can start new ClassPathXmlApplicationContext(Constants.APPLICATION_CONTEXT_NAMES_NON_WEB);

    - #### APPLICATION_CONTEXT_NAMES_FOR_TEST

          public static final String[] APPLICATION_CONTEXT_NAMES_FOR_TEST

      An Array of the ApplicationContext names for tests

    - #### STREETDISTANCE_JAXB_NAME

          public static final String STREETDISTANCE_JAXB_NAME

      The node name for `StreetDistance` node in JAXB
      See Also:
        Constant Field Values

    - #### STREETSEARCHRESULTSDTO_JAXB_NAME

          public static final String STREETSEARCHRESULTSDTO_JAXB_NAME

      The node name for `StreetSearchResultsDto` node in JAXB
      See Also:
        Constant Field Values

    - #### BUNDLE_KEY

          public static final String BUNDLE_KEY

      The name of the ResourceBundle used in this application
      See Also:
        Constant Field Values

    - #### BUNDLE_ERROR_KEY

          public static final String BUNDLE_ERROR_KEY

      The name of the ResourceBundle used in this application for errors
      See Also:
        Constant Field Values

    - #### FEATURECODE_BUNDLE_KEY

          public static final String FEATURECODE_BUNDLE_KEY

      The name of the ResourceBundle for Feature class / code used in this application
      See Also:
        Constant Field Values

    - #### ENVIRONEMENT_BUNDLE_KEY

          public static final String ENVIRONEMENT_BUNDLE_KEY

      The name of the ResourceBundle for environement properties that hold gisgraphy configuration
      See Also:
        Constant Field Values

    - #### FEED_TITLE

          public static final String FEED_TITLE

      The default title for the RSS/ATOM
      See Also:
        Constant Field Values

    - #### FEED_LINK

          public static final String FEED_LINK

      The default Link for the RSS/ATOM
      See Also:
        Constant Field Values

    - #### FEED_DESCRIPTION

          public static final String FEED_DESCRIPTION

      The default Description for the RSS/ATOM
      See Also:
        Constant Field Values

    - #### GISFEATURE_BASE_URL

          public static final String GISFEATURE_BASE_URL

      The Base URL for building GISFeature URL
      See Also:
        Constant Field Values

    - #### STREET_BASE_URL

          public static final String STREET_BASE_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2015. All rights reserved.